﻿.navbar-right > li > .select2-container {
    padding-top: 10px;
}

.navbar-right > li > .select2-container > span > span > span.select2-selection__arrow {
    margin-top: 10px; 
}

.pv-lg > a {
    opacity: .5;
    -webkit-transition: .3s ease all;
    -moz-transition: .3s ease all;
    transition: .3s ease all;
}

.pv-lg > a:hover, .pv-lg > a:focus {
    color: inherit;
    opacity: 1;
}

.candidate-row {
    border-bottom: 1Px solid rgba(0, 0, 0, .5);
}

.activity-mailable {
    cursor: pointer;
}

.candidate-name, .candidate-address {
    position: relative;
}

.candidate-alias-remove, .candidate-address-remove {
    position: absolute;
    right: 15Px;
    z-index: 10;
}

label.required {
    position: relative;
}

label.required:after {
    color: red;
    content: '*';
    position: absolute;
    right: -8Px;
    top: 0;
}

td > table.table-condensed {
    margin: -8Px;
}

label.invoice-label {
    font-weight: normal;
}

@keyframes spinner {
    to {
        transform: rotate(360deg);
    }
}

.loading:before {
    content: '';
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 20px;
    height: 20px;
    margin-top: -10px;
    margin-left: -10px;
    border-radius: 50%;
    border: 2px solid #ccc;
    border-top-color: #374151;
    animation: spinner .6s linear infinite;
}

#OrderSearchesInfo {
    position: relative;
}

/* Report Styles */
.report-content table h3 {
    margin: 5Px 0;
}

.report-content table h4 {
    margin: 0;
}

.not-done {
    color: #ef4444 !important;
    text-decoration: dotted !important;
}

.report-layout-wrapper {
    padding: 10px;
}

.report-layout {
    max-width: 1200px;
    margin: 0 auto;
}

.report-header {
}

.report-section {
    margin-bottom: 20px;
    padding: 2px;
}

.client-info {
    font-size: 16px;
}

.report-section .report-section-header {
    text-align: center;
    font-size: 1.8rem;
    font-weight: 800;
    color: #374151;
    padding: 8px;
}

.report-section .pre-report-message {
    font-size: 1.5rem;
}

.report-section.client-section {
    width: 100%;
    text-align: center;
}

.report-section.search-details-section {
    padding: 0 10px;
}

.report-section table.table .filled-header {
    background-color: #76db9b;
    color: #111;
}

.report-section.report-summary-section .footnote {
    text-align: right;
    font-size: 15px;
    color: #3b82f6;
}

.notifications-table tr.read {
    background-color: #efefef;
}

    .notifications-table  tr.unread {
        background-color: #ffffff;
    }

.shopping-cart h2 {
    margin: 10Px 0;
}

.powerbi-wrapper,
.report-wrapper {
    width: 100%;
    position: relative;
    padding-bottom: 60%;
}

    .powerbi-wrapper > iframe,
    .report-wrapper > iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }

.message-wrapper {
    display: none;
}

.middle-name-ask {
    display: flex;
    margin-top: 4Px;
}

#session-expire-modal {
    z-index: 999999;
}

.table > thead > tr > th {
    padding: 14px 8px;
    color: #111;
}

.delete-activity, .delete-document {
    cursor: pointer;
    color: red;
}

.swal2-popup {
    font-size: 0.875rem !important;
}

/* /searches/advanced */
#as-overlay {
    position: fixed; /* Sit on top of the page content */
    display: none; /* Hidden by default */
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    top: 0; /* Start element at the top */
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ffffff;
    padding: 70px 15px 15px 15px;
    z-index: 999; /* Specify a stack order in case you're using a different order for other elements */
    cursor: pointer; /* Add a pointer on hover */
    overflow-y: auto; /* Add scrollbar since we're fixed position (not absolute) */
}


table.dataTable th.select-checkbox {
    position: relative;
}

    table.dataTable th.select-checkbox::before {
        content: '';
        position: absolute;
        top: 50%;
        left: 50%;
        width: 12px;
        height: 12px;
        margin-top: -6px;
        margin-left: -6px;
        box-sizing: border-box;
        border: 1px solid #6c757d;
    }


    table.dataTable th.select-checkbox.selected::after {
        content: '\2714';
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        font-size: 12px;
        line-height: 1;
        text-align: center;
        color: #000;
    }


#usersTable th::before, #usersTable th::after {
    display: none;
}


/* Cleaning up look */
body {
    background-color: #ffffff;
    color: #111;
}

.wrapper > section {
    background-color: #ffffff;
}

.sidebar > .nav > li > a > em,
.sidebar > .nav > li > .nav-item > em {
    color: #ffffff;
}

.nav-link.btn-secondary.active .badge {
    background: #60a5fa;
}

/* Activity CSS */
.activity-table .activity-email-content {
    max-height: 25Px;
    overflow: hidden;
    position: relative;
    -webkit-transition: max-height .5s ease;
    -moz-transition: max-height .5s ease;
    -o-transition: max-height .5s ease;
    transition: max-height .5s ease;
}
    .activity-table .activity-email-content:hover {
        max-height: 1000Px;
    }

    .activity-table .activity-email-content:after {
        content: '...';
        display: block;
        position: absolute;
        bottom: 0;
        right: 15Px;
    }

    .activity-table .activity-email-content:hover:after {
        content: '';
    }

#ClientCreateForm .nav-tabs > li > a {
    cursor: default;
}
    #ClientCreateForm .nav-tabs > li > a:hover,
    #ClientCreateForm .nav-tabs > li > a:focus {
        background-color: #e5e7eb;
    }
    #ClientCreateForm .nav-tabs > li.active > a:hover {
        background-color: transparent;
    }

.signature input {
    font-family: 'Great Vibes', Brush Script MT, Brush Script Std, cursive;
    font-size: 180%;
}

#neos {
    z-index: 9999;
}

#matrixCanvas {
    display: none;
    z-index: 9999;
    position: fixed;
    margin: 0 !important;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.orgTree {
    max-width: 100%;
    overflow-x: auto;
    overflow-y: auto;
}

.form-control[readonly] {
    background-color: #e9ecef !important;
    opacity: 1;
    cursor: not-allowed;
}

.card-title > a {
    color: inherit;
}

.close {
    color: #000;
    float: right;
}

.link-unstyled {
    text-decoration: none !important;
    outline: none !important;
}

.card-default {
    border-color: #e5e7eb;
}

    .card-default > .card-heading {
        color: #374151;
        background-color: #f9fafb;
        border-color: #e5e7eb;
    }

        .card-default > .card-heading + .card-collapse > .card-body {
            border-top-color: #e5e7eb;
        }

        .card-default > .card-heading .badge {
            color: #fff;
            background-color: #374151;
        }

    .card-default > .card-footer + .card-collapse > .card-body {
        border-bottom-color: #e5e7eb;
    }

.btn-warning {
    --bs-btn-color: #fff;
    --bs-btn-bg: #f97316;
    --bs-btn-border-color: #f97316;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #ea580c;
    --bs-btn-hover-border-color: #ea580c;
    --bs-btn-focus-shadow-rgb: 234, 88, 12;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #c2410c;
    --bs-btn-active-border-color: #c2410c;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #000;
    --bs-btn-disabled-bg: #f97316;
    --bs-btn-disabled-border-color: #f97316;
}

.btn-danger {
    --bs-btn-color: #fff;
    --bs-btn-bg: #ef4444;
    --bs-btn-border-color: #ef4444;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #dc2626;
    --bs-btn-hover-border-color: #dc2626;
    --bs-btn-focus-shadow-rgb: 220, 38, 38;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #891c1c;
    --bs-btn-active-border-color: #891c1c;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #ef4444;
    --bs-btn-disabled-border-color: #ef4444;
}

.dropdown-menu > li.divider {
    height: 1px;
    margin: 9px 0;
    overflow: hidden;
    background-color: #e5e5e5;
}

.form-check-input {
    border: var(--bs-border-width) solid var(--bs-gray-700);
}

.disabled {
    color: #9ca3af;
}